Skip to main content
POST
/
organizations
/
{organizationId}
/
environment-objects
/
{environmentObjectId}
/
exclude-linking
Exclude linking an environment object
curl --request POST \
  --url https://api.astronomer.io/platform/v1beta1/organizations/{organizationId}/environment-objects/{environmentObjectId}/exclude-linking \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "DEPLOYMENT",
  "scopeEntityId": "<string>"
}
'
{
  "message": "<string>",
  "requestId": "<string>",
  "statusCode": 500
}

Documentation Index

Fetch the complete documentation index at: https://astronomer-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

The ID of the Organization to which the environment object belongs.

environmentObjectId
string
required

The environment object's ID.

Body

application/json

The request body to exclude linking an environment object.

scope
enum<string>
required

Scope of the entity to exclude for environment object

Available options:
DEPLOYMENT
scopeEntityId
string
required

Entity ID to exclude for the environment object

Response